@import "../../../assets/styles/colors";
@import "../../../assets/styles/mixins";

:host {
  display: block;
  margin-top: 80px;
}

.articles_wrapper {
  display: flex;
  flex-direction: column;
}

.main_wrapper {
  max-width: 1440px;
  margin: 0 auto;
}

.information_wrapper {
  height: 572px;
  background-image: url(../../../assets/images/dark_bg.png);
  background-repeat: no-repeat;
  background-position: bottom 130px right 130px;
}

.information {
  display: flex;
  max-width: 1152px;
}

.information_text {
  width: 500px;
  margin: 90px 0 0 144px;
  h2 {
    color: $orange-color-1;
  }
}

.start_btn {
  box-shadow: none;
  border: none;
  background: $orange-color-1;
  border-radius: 24px;
  width: 145px;
  height: 48px;
  font-weight: bold;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  letter-spacing: 0.05em;
  color: #333333;
  margin-top: 55px;
}

.start_btn:hover {
  background-color: $orange-color-1;
}

.articles_wrapper {
  display: flex;
  flex-direction: column;
  max-width: 1152px;
  margin: 0 auto;
}


.articles_heading {
  margin-top: 60px;
  margin-bottom: 50px;
}

input::placeholder {
  color: $font-secondary-color;
}

#search {
  padding-left: 85px;
  color: $font-secondary-color;
  width: 74%;
  height: 60px;
  border: 0 solid;
  background: $background-primary;
  box-shadow: 0 -6px 8px $bg-color-secondary, 0 6px 8px $bg-color-secondary;
  border-radius: 40px;
  margin-bottom: 15px;

  &:focus {
    box-shadow: 0 -2px 2px $blue-color, 0 2px 2px $blue-color;
  }
}

.search_label {
  padding-left: 60px;
  position: relative;
  display: block;
  width: 74%;
}

.search-icon {
  position: absolute;
  left: 50px;
  top: 16px;
  width: 28px;
  height: 28px;
}

.search-close-button {
  position: absolute;
  right: 0;
  top: 18px;
  cursor: pointer;
}

.articles {
  width: 100%;
  min-height: 386px*2;
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 80px;
  justify-content: flex-start;
}

.angular_tag_label {
  position: relative;
  width: 0;
}

.articles {
  width: 100%;
  min-height: 386px*2;
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 80px;
  justify-content: flex-start;
}

.article_prev_img {
  width: 100%;
  height: 50%;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  object-fit: cover;
}

.article_text_wrap {
  padding: 0 15px;
}

